Gst::PluginError Class Reference

The plugin loading errors. More...

`#include <gstreamermm/plugin.h>`

Inherits Error.

## Public Types

enum | Code { MODULE, DEPENDENCIES, NAME_MISMATCH }
| The plugin loading errors. More...

## Public Member Functions

| PluginError (Code error_code, const Glib::ustring& error_message)
| PluginError (GError* gobject)
Code | code () const

## Detailed Description

The plugin loading errors.

- MODULE - The plugin could not be loaded
- DEPENDENCIES - The plugin has unresolved dependencies
- NAME_MISMATCH - The plugin has already be loaded from a different file

## Member Enumeration Documentation

## Code

enum Gst::PluginError::Code

The plugin loading errors.

Enumerator
MODULE | The plugin could not be loaded.
DEPENDENCIES | The plugin has unresolved dependencies.
NAME_MISMATCH | The plugin has already be loaded from a different file.

## Constructor & Destructor Documentation

## PluginError() [1/2]

Gst::PluginError::PluginError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## PluginError() [2/2]

Gst::PluginError::PluginError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

## code()

Code Gst::PluginError::code | ( |  | ) | const